mui.init({
	swipeBack: true, //启用右滑关闭功能
	pullRefresh: {
		container: '#pullrefresh',
		down: {
			style: 'circle', //必选，下拉刷新样式，目前支持原生5+ ‘circle’ 样式
			color: '#ff5722', //可选，默认“#2BD009” 下拉刷新控件颜色
			height: '50px', //可选,默认50px.下拉刷新控件的高度,
			range: '100px', //可选 默认100px,控件可下拉拖拽的范围
			offset: '0px', //可选 默认0px,下拉刷新控件的起始位置
			auto: false, //可选,默认false.首次加载自动上拉刷新一次
			callback: reloadInfo //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
		},
		up: {
			height: 0,
			contentrefresh: '正在加载...',
			contentnomore: '没有更多数据了',
			callback: LoadCateProduct,
		}
	}
});
function reloadInfo() {
	LoadHomeData();
}
document.addEventListener('plusready', function() {
	// mescroll = new MeScroll("mescroll", { //第一个参数"mescroll"对应上面布局结构div的id
	// 	//如果您的下拉刷新是重置列表数据,那么down完全可以不用配置,具体用法参考第一个基础案例
	// 	//解析: down.callback默认调用mescroll.resetUpScroll(),而resetUpScroll会将page.num=1,再触发up.callback
	// 	down: {
	// 		callback: pagedownData //下拉刷新的回调,别写成downCallback(),多了括号就自动执行方法了
	// 	}
	// });
	hishop.showPrivacyPolicy();

	LoadHomeData();
	CurrentView = plus.webview.currentWebview();
	loadEvent();
	
});
var HomeData={
	tmpUrl:"",
	secKillData:null,
	secKillHeadList:null,
	teamShopData:null,
	newtagProudcts:null,
	catgProducts:null,
	categoryList:null,
	curHourID:-1,
	selHourID:-1,
	newTag:0,
	curCatgTag:-3,
	secKillCtrId:"",
	teamShopCtrId:"",
	catgCtrId:"",
	pageSiz:10,
	catPageIndex:1,
	catPageisEnd:false,
};
 
var timerdata={
	HH:"00",
	MM:"00",
	SS:"00",
	maxSecKillHour:0,
};

function loadEvent() {
	
    //签到
  /*  document.getElementsByClassName("home-sign")[0].addEventListener("tap", function () {
        if (!hishop.isLogin()) {
            mui.toast('您还未登录,请先登录！');
            return;
        }

        var currentuserinfo = SiteSetting.getSiteInfo().UserInfo;
        mui.ajax(hishop.goUrl('signIn'), {
            dataType: "json",
            type: "post",
            timeout: 10000,
            data: {
                sessionid: currentuserinfo.sessionid
            },
            success: function (res) {
                if (res.ErrorResponse != undefined) {
                    mui.toast(res.ErrorResponse.ErrorMsg);
                    return;
                }
                res = res.Result;
                var message = '未知错误';
                switch (res.status) {
                    case 1:
                        message = res.points > 0 ? ('签到成功！＋' + res.points + '分') : '签到成功！';
                        break;
                    case 2:
                        message = '您已签到！';
                        break;
                    case 0:
                        message = '签到失败！';
                        break;
                    default:
                        break;
                }
                mui.toast(message);
            },
            error: function (ex) {
                mui.toast(ex);
            }
        });
    }); */

    //扫一扫
    document.getElementsByClassName("home-scan")[0].addEventListener("tap", function () {
        hishop.openVW("barcode");
    });

    //绑定商品点击事件
    mui("#webview").on("tap", ".goToP", function () {
        var pid = this.dataset.pid;
        showProduct(pid);
    });

  //绑定商品点击事件
    mui("#productdataList").on("tap", ".goToP", function () {
        var pid = this.dataset.pid;
		//console.log(pid);
        showProduct(pid);
    });
	
   
	
	mui(document).on("tap", ".AdTouchCss", function () {
	    var typeId = this.dataset.linktype; //获取链接类型
	    var linkurl = this.dataset.link; //获取链接地址
	    var title = this.dataset.title;
		//	console.log("typeId="+typeId+",linkurl="+linkurl+",title="+title);
	    ShowLinkByType(typeId, linkurl, title);
	
	});
	
	
	
	//绑定editeCss的点击事件
	mui("#webview").on("tap", ".editeCss", function () {
	    var typeId = this.dataset.linktype; //获取链接类型
	    var linkurl = this.dataset.link; //获取链接地址
	    var title = this.dataset.title;
	
	    ShowLinkByType(typeId, linkurl, title);
	
	});
	
	mui("#webview").on("tap", ".tabsCss", function () {
	    var categorieId = this.dataset.linktype; //获取链接类型
		//console.log("categorieId="+JSON.stringify(categorieId));
		if(HomeData.curCatgTag!=categorieId)
		{
		var parent=$(this).parent();
		parent.children().removeClass("active");
		$(this).addClass("active");
		changeTab(categorieId);	
		}

	});
	
 
	mui("#webview").on("tap", ".secKillclick", function () {
	    var hourId = this.dataset.linktype; //获取链接类型
		//console.log("hourId="+JSON.stringify(hourId)+"HomeData.selHourID="+HomeData.selHourID);
		if(HomeData.selHourID!=hourId)
		{
		var parent=$(this).parent();
		parent.children().removeClass("active");
		$(this).addClass("active");
		HomeData.selHourID=hourId;
		loadSecKillData(HomeData.selHourID);	
		}
	
	});
	
	
	

    //搜索
    //	document.addEventListener("keyup", function(event) {
    //		if((event || window.event).keyCode == 13) {
    //			keywordsText.blur();
    //			keywords = keywordsText.value;
    //			if(keywords != '') {
    //				hishop.openVW('search-result', {
    //					'keywords': keywords
    //				});
    //			}
    //		}
    //	});

    document.getElementById('searchBox').addEventListener('tap', function () {
        hishop.openVW('search');
    });

    //二维码结果展示
    document.addEventListener('handleDecode', function (event) {
        var result = event.detail.result;
        if (result.indexOf(apiURL) > 0) {
            if (result.indexOf('ProductDetails?productId') > 0) {
                var productid = result.split('productId=')[1];
                showProduct(productid);
            } else if (result.indexOf('FightGroupActivityDetails.aspx?fightGroupActivityId')) {
                var groupid = result.split('fightGroupActivityId=')[1];
                hishop.openVW('rushgroupdetail', {
                    'activeid': groupid
                });
            }
        } else {
            hishop.OpenWapWeb(result, '扫描结果');
        }

    });
	
	if (!hishop.isLogin()) {
	    mui.toast('您还未登录,请先登录！');
		showLogin();
	    return;
	}
}
	function changeTab(categorieId)
	{
		 HomeData.curCatgTag=categorieId;
		 HomeData.catPageIndex=0;
		 LoadCateProduct('reset', HomeData.curCatgTag);
		 //loadCatPData();
	}
	
   template.helper('ShowSiteLink', function (link) {
    if (link.indexOf(apiURL) < 0 && link.indexOf('http://') < 0 && link.indexOf('https://')) {
        link = apiURL.substr(0, apiURL.length - 1) + link;
    }
    return link;
   });

template.helper('TypeHref', function (type) {
    var result = "";
    for (var x = 0; x < strcode.length; x++) {
        result += strcode[x]['VerificationPassword'].replace(/(\d{4})(\d{4})(\d+)/, "$1 $2 $3") + '<br>';
    }
    if (result.length > 0) {
        result = result.substring(0, result.length - 1);
    }
    return result;
});

//视频播放
	$('#LiveTcBox').on('click','.btn-video-play',function(){
				// swiperbanner.stopAutoplay()
				// $(this).hide();
				$('#proVideo').attr('controls','controls')
				$('#proVideo')[0].play()
			})
			

//根据链接类型返回对应的链接地址

function ShowLinkByType(typeId, link, title) {
    var urllink = apiURL.substr(0, apiURL.length - 1);
    if (link == '#' || link == "") {
        return;
    }
    switch (parseInt(typeId)) {
        case 1: //商品详情(productdetail.html)
            urllink = link;
            var productId = "";
            if (urllink.indexOf('hishop://') != -1) {
                var temStrs = urllink.split('/');
                productId = temStrs[temStrs.length - 1];
            } else {
                productId = urllink.substr(urllink.lastIndexOf('?') + 4, urllink.length - urllink.lastIndexOf('?'));
            }
            showProduct(productId);
            break;
        case 2: //商品分类  (category.html)
            urllink = "category.html";
            if (!isMain()) plus.webview.currentWebview().close();
            mui.fire(plus.webview.getWebviewById(plus.webview.getLaunchWebview().id), "gohome", {
                'pagename': "category"
            });
            hishop.openVW(plus.webview.getLaunchWebview().id);
            break;
        case 3: //商品列表
            urllink = link;
            var cateId = urllink.substr(urllink.lastIndexOf('?') + 5, urllink.length - urllink.lastIndexOf('?'));
            hishop.openVW('search-result', { 'keywords': '', 'pid': cateId });
            break;
        case 4: //品牌详情(/Appshop/BrandDetail.aspx?BrandId=34)
            urllink += link;
            hishop.OpenWapWeb(urllink, '品牌详情');
            break;
        case 5: //幸运大转盘(/appshop/BigWheel.aspx?activityid=1)
            urllink += link;
            hishop.OpenWapWeb(urllink);
            break;
        case 7: //会员主页(userhome.html)
            urllink = "userhome.html";
            if (!isMain()) plus.webview.currentWebview().close();
            mui.fire(plus.webview.getWebviewById(plus.webview.getLaunchWebview().id), "gohome", {
                'pagename': 'userhome'
            });
            hishop.openVW(plus.webview.getLaunchWebview().id);
            break;
        case 8: //购物车(shopcart.html)
            urllink = "shopcart.html";
            if (!isMain()) plus.webview.currentWebview().close();
            mui.fire(plus.webview.getWebviewById(plus.webview.getLaunchWebview().id), "gohome", {
                'pagename': 'shopcart'
            });
            hishop.openVW(plus.webview.getLaunchWebview().id);
            break;
        case 10: //自定义链接
            urllink = link;
            hishop.OpenWapWeb(urllink);
            break;
        case 12: //团购（/Appshop/GroupBuyList.aspx）
            urllink += link;
            hishop.OpenWapWeb(urllink, '团购');
            break;
        case 13: //限时购(/Appshop/CountDownProducts.aspx)
            urllink += link;
            hishop.OpenWapWeb(urllink, '限时购');

            break;
        case 14: //自定义页面（/Appshop/Topics.aspx?TopicId=4）
            urllink += link;
            hishop.OpenWapWeb(urllink, title);
            break;
        case 15: //积分商城（/Appshop/PointMall.aspx）
            urllink += link;
            hishop.OpenWapWeb(urllink, '积分商城');
            break;
        case 16: //优惠券列表（/Appshop/couponslist.aspx）
            urllink += link;
            hishop.OpenWapWeb(urllink, '优惠券列表');
            break;
        case 17: //注册送券（/Appshop/RegisteredCoupons.aspx）
            urllink += link;
            hishop.OpenWapWeb(urllink, '注册送券');
            break;
        case 18: //选择优惠券（/Appshop/CouponDetails.aspx?couponId=2）
            urllink += link;
            hishop.OpenWapWeb(urllink, '优惠券');
            break;
        case 19: //火拼团（FightGroupList.html）
            urllink = "rushgrouplist";
            hishop.openVW(urllink);
            break;
        case 20: //周边门店（/Appshop/StoreList）
            mui.fire(plus.webview.getWebviewById(plus.webview.getLaunchWebview().id), "updateMenu", {
                "href": "nearstorelist.html"
            });
            mui.fire(plus.webview.getWebviewById('nearstorelist.html'), "changeaddress");
            hishop.openVW(plus.webview.getLaunchWebview().id);
            break;
        case 21: //选择文章详情（/appshop/ArticleDetails?articleId=14x）
            urllink += link;
            hishop.OpenWapWeb(urllink, '文章详情');
            break;
        case 22: //摇一摇（Shake.html）
            urllink = "shake";
            if (!hishop.isLogin()) {
                showLogin();
                return;
            }
            hishop.openVW(urllink);
            break;
		case 23: //电话（23）
			    link = link.replace('tel://', '');
			    if (mui.os.plus) {
			        plus.device.dial(link);
			    } else {
			        location.href = link;
			    }
			    urllink = "";
			    break;
        case 24: //品牌专题(/Appshop/BrandList)
            urllink += link;
            hishop.OpenWapWeb(urllink, '品牌专题')
            break;
        case 33: //自定义App连接
            urllink = link.replace('https://localhost/','').replace('http://localhost/','');
		//	console.log(urllink);
		 var param=	GetRequest(urllink);
		 var last=urllink.lastIndexOf('?');
		 if(last<1)
		 {
			last= urllink.length
		 }
		   urllink=urllink.substr(0, last);
         var start=urllink.lastIndexOf('/')+1;
		var   vmid=urllink.substr(start,urllink.length-start);
		vmid=vmid.replace('.html','');
		//console.log(vmid+","+urllink);
            hishop.openVW(vmid, param,urllink);
            break;
		case 53: //秒杀（FightGroupList.html）
				urllink = "seckillList";
				hishop.openVW(urllink);
				break;
			case 59:
			//播放视频
			 urllink += link;
			   hishop.OpenWapWeb(urllink, '播放视频');
				break;
	     case 60: //商品列表
				    urllink = link;
				    var tagId = urllink.substr(urllink.lastIndexOf('?') + 7, urllink.length - urllink.lastIndexOf('?'));
				    hishop.openVW('search-result', { 'keywords': '', 'tagid': tagId });
				    break;
					
        default:
            urllink += link;
            hishop.OpenWapWeb(urllink, title)
            break;
    };
}
function GetRequest(urlStr) {
    if (typeof urlStr == "undefined") {
        var url = decodeURI(location.search); //获取url中"?"符后的字符串
    } else {
        var url = "?" + urlStr.split("?")[1];
    }
    var theRequest = new Object();
    if (url.indexOf("?") != -1) {
        var str = url.substr(1);
        strs = str.split("&");
        for (var i = 0; i < strs.length; i++) {
            theRequest[strs[i].split("=")[0]] = decodeURI(strs[i].split("=")[1]);
        }
    }
    return theRequest;
}
function isMain() {
    var subpages = ['home.html', 'category.html', 'shopcart.html', 'userhome.html', 'nearstorelist.html', 'storehome1.html'];
    return subpages.indexOf(plus.webview.currentWebview().id) != -1;
}

//页面加载数据
function LoadHomeData() {
    //tzq
    var w = plus.nativeUI.showWaiting('', {
        padlock: true
   });
   var content = document.querySelector('.mui-content');
    mui.ajax(hishop.goUrl('getDefaultData'), {
   // $.ajax(hishop.goUrl('getDefaultData'), {
        dataType: 'json',
        type: 'post',
        timeout: 10000,
        success: function (data) {
            var result = data.Result;
		//	console.log("getDefaultData="+JSON.stringify(result));
/*            var ProductsList = {
                ProductsList: result.tagProducts
            } */
            //document.getElementById("homeprolist").innerHTML = template('prodata', ProductsList);
            LoadPageData(apiURL.substr(0,apiURL.length-1)+result.HomeTopicPath);
           //  mescroll.endSuccess();
             plus.navigator.closeSplashscreen();
        },
        error: function (xhr, type, errorThrown) {
            mui.toast("网络请求超时，请重新加载");
            //mescroll.endErr();
        },
        complete: function () {
             w.close();
			 mui('#pullrefresh').pullRefresh().endPulldown();
        }
    });
}

function LoadPageData(url)
{
	HomeData.tmpUrl=url;
	mui.ajax(hishop.goUrl('GetPIndex'), {
	   // $.ajax(hishop.goUrl('getDefaultData'), {
	        dataType: 'json',
	        type: 'post',
	        timeout: 10000,
	        success: function (data) {
		//	console.log("LoadPageData="+JSON.stringify(data));	
	            var result = data.Result;
		       if(result.Status=="OK")
			   {
				  HomeData.secKillData= result.WholeHourList.DataList;
				  HomeData.secKillHeadList=result.WholeHourList.SecKillHeadList;
				  HomeData.curHourID=result.WholeHourList.curHourID;
				  HomeData.selHourID= HomeData.curHourID;
				 
				 
				  HomeData.teamShopData=result.GroupBuyInfo;
				  HomeData.catgProducts=result.ProductCategories;
				  // console.log("HomeData="+JSON.stringify(HomeData));
			   }
	           LoadTemplateView(HomeData.tmpUrl);
	        },
	        error: function (xhr, type, errorThrown) {
	            mui.toast("网络请求超时，请重新加载");
	        }
	    });
		
	
}
function timeTickSecKill()
{
	if(HomeData.curHourID==HomeData.selHourID)
	{
		var  date = new Date(date);
		 var hour=date.getHours();
		 var nextHour=-1;
		 for(var ih in HomeData.secKillHeadList)
		 {
			 if(ih>=hour)
			 {
				nextHour=ih;
				 break;
			 }
		 }
		 if(HomeData.curHourID!= nextHour)
		 {
			// HomeData.selHourID=HomeData.curHourID;
			 //
			 HomeData.curHourID= nextHour;
			 loadSecKillData(HomeData.selHourID);
		 }
	}
	
		   
}
 function countTime() {
            //获取当前时间
            var date = new Date();
            var now = date.getTime();
			
			date.setHours(timerdata.maxSecKillHour+1);
			date.setMinutes(0)
			date.setSeconds(0);
			var end = date.getTime();
            //设置截止时间

            //时间差
            var leftTime = end-now;
            //定义变量 d,h,m,s保存倒计时的时间
            if (leftTime>=0) {
                d = Math.floor(leftTime/1000/60/60/24);
               timerdata.HH = Math.floor(leftTime/1000/60/60%24);
               timerdata.MM = Math.floor(leftTime/1000/60%60);
               timerdata.SS = Math.floor(leftTime/1000%60);
			   $(".HH").text( timerdata.HH);
			   $(".MM").text(timerdata.MM);
			   $(".SS").text(timerdata.SS);
				 timeTickSecKill();
            }
      
            //递归每秒调用countTime方法，显示动态时间效果
            setTimeout(countTime,1000);
        }

function  loadSecKillData(hour)
{
//	console.log("loadSecKillData="+JSON.stringify(hour));
	mui.ajax(hishop.goUrl('GetSecKillByHour'), {
	   // $.ajax(hishop.goUrl('getDefaultData'), {
	        dataType: 'json',
	        type: 'post',
			data:{storeId:0,hourId:hour,pageIndex:1,pageSiz:HomeData.pageSiz},
	        timeout: 10000,
	        success: function (data) {
				var result = data;
				if(result.Status=="OK")
				{
				 //  console.log("loadSecKillData=result:"+JSON.stringify(result));
					HomeData.secKillData=result.Data;
					//HomeData.selHourID=hour;
					DataToSecKill();
				//	if(HomeData.secKillData.SecKillHeadList!=null)
				//	timerdata.maxSecKillHour=HomeData.secKillData.SecKillHeadList[HomeData.secKillData.SecKillHeadList.length-1];
			    }
				},
				error: function (xhr, type, errorThrown) {
				    mui.toast("网络请求超时，请重新加载");
				},
				});
				
}

function DataToSecKill()
{
	// console.log("DataToSecKill=result:"+JSON.stringify(HomeData.secKillData));
	if(HomeData.secKillData!=null&&HomeData.secKillData.length>0)
	{
		//console.log("InitNewTagUI=2");
	 var strtemp= template('tempseckillList', {
					    'secKillData': HomeData.secKillData,
					    controlId: 'tempseckillListID'
					});
		 $(".seckillList").html(strtemp);					
	}
	else
	{
		$(".seckillList").html("");
	}
}
function OpenSkus(pid) {
    if (!hishop.isLogin()) {
        showLogin();
        return;
    }
    ClickCart(pid);
}

//加载可视化模板
function LoadTemplateView(dataurl) {
    var strHtml = "";
    var swiperstr = [];
    var swiperData = [];
   $.ajax(dataurl + '?d=' + new Date(), {
        dataType: 'json',
        type: 'get',
        timeout: 10000,
        success: function (res) {
            var viewTemp = res.LModules;
			//console.log("res.LModules="+JSON.stringify(viewTemp));
            viewTemp.forEach(function (item, index, array) {
                var typeitem = item.type;
                if (typeitem == 9) { //轮播图控件
                    swiperstr.push(item.id);
                    swiperData.push(item.content.dataset);
                }
                if (typeitem == 11) {
                    strHtml += template('temp' + typeitem, {
                        'dataset': item.content.height,
                        controlId: item.id
                    });
                }
                else if (typeitem == 52) {
                  if(HomeData.teamShopData!=null&&HomeData.teamShopData!=null&&HomeData.teamShopData.length>0)
				  {
					strHtml += template('temp' + typeitem, {
					    'dataset': item.content.dataset,
						'products': HomeData.teamShopData,
					    controlId: item.id
					});  
				  }
                }
				else if(typeitem == 53)
				{
					//console.log("HomeData.secKillHeadList="+JSON.stringify(HomeData.secKillHeadList));
				if(HomeData.secKillHeadList!=null&&HomeData.secKillData!=null&&HomeData.secKillData.length>0)
				{
									strHtml += template('temp' + typeitem, {
									    'dataset': item.content.dataset,
										'secKillData': HomeData.secKillData,
										'secKillHeadList': HomeData.secKillHeadList,
										'curHourID': HomeData.curHourID,
										'timerdata':timerdata,
									    controlId: item.id
									}); 
 
				timerdata.maxSecKillHour=HomeData.secKillHeadList[HomeData.secKillHeadList.length-1];
				countTime();  
							 
				}	
				}
				else if(typeitem == 54)
				{
					//新 <!--54  新品推荐-->
                    HomeData.newTag=item.content.dataset[0].pvalue;
					strHtml += template('temp' + typeitem, {
					    'dataset': item.content.dataset,
					    controlId: item.id
					});  
				 	loadNewTag();
				}
				else if(typeitem == 55)
				{		
			    	if(HomeData.catgProducts!=null)
					{
						HomeData.curCatgTag=-3;
						HomeData.catPageIndex=0;
										strHtml += template('temp' + typeitem, {
										    'dataset': item.content.dataset,
											'products': {},
											'curCatgTag':HomeData.curCatgTag,
										    controlId: item.id
										});
										//  loadCatPData();
						 LoadCateProduct('reset');
					} 
					 
				}
				else if(typeitem == 59)
				{
					console.log(JSON.stringify(item))
				document.getElementById("PopAd").innerHTML=template('temp' + typeitem, {
                        'dataset': item.content.dataset,
                        controlId: item.id
                    });	
				}
                else {
                    strHtml += template('temp' + typeitem, {
                        'dataset': item.content.dataset,
                        controlId: item.id
                    });
                }

            });
	 // console.log("webview="+strHtml);
            document.getElementById("webview").innerHTML = strHtml;
            //初始化轮播控件
            IniteSwiperControl(swiperstr, swiperData);
        },
        error: function (xhr, type, errorThrown) {
			console.log("LoadTemplateView="+JSON.stringify(errorThrown));	
        }
    })
}
// function loadCatPData()
// {
// 	if(HomeData.curCatgTag>-3)
// 	{
// 		mui.ajax(hishop.goUrl('getProducts'), {
// 		   // $.ajax(hishop.goUrl('getDefaultData'), {
// 		        dataType: 'json',
// 		        type: 'get',
// 				data: {
// 					cId: HomeData.curCatgTag,
// 					pageIndex: HomeData.catPageIndex,
// 					pageSize: 10
// 				},
// 		        timeout: 10000,
// 		        success: function (data) {
					
// 				//	console.log("loadCatPData="+JSON.stringify(data));
// 					if(data['ErrorResponse'] != undefined) {
// 						mui.toast(data.ErrorResponse.ErrorMsg);
// 						//mescroll.endErr();
// 						return;
// 					}
// 					//mescroll.endSuccess();
// /* 					if(data.Result.List.length < 10) {
// 						isEnd = true;
// 					} */
// 					HomeData.categoryList=data.Result.List;
// 					//console.log("HomeData.categoryList="+JSON.stringify(HomeData.categoryList));
// 					InitCatTagUI();
// 					//console.log("loadNewTag="+JSON.stringify(result.Status));
			 
// 					},
// 					error: function (xhr, type, errorThrown) {
// 					    mui.toast("网络请求超时，请重新加载");
// 					},
// 				});
				
// 	}
// }
// function pagedownData()
// {
// 	HomeData.catPageIndex+=1;
// 	loadCatPData();
// }

function LoadCateProduct(re) {
//plus.nativeUI.alert("LoadCateProduct,HomeData.curCatgTag="+HomeData.curCatgTag+",HomeData.catPageIndex="+HomeData.catPageIndex);
if(HomeData.curCatgTag<1)
{
	HomeData.curCatgTag=-3;
}
			var w = plus.nativeUI.showWaiting('', {
				padlock: true
			});
			var that = this;
			if(!HomeData.catPageisEnd) {
				HomeData.catPageIndex++;
			    mui.ajax(hishop.goUrl('GetIndexProducts'), {
			        dataType: 'json',
			        type: 'get',
					data: {
						cId: HomeData.curCatgTag,
						pageIndex: HomeData.catPageIndex,
						pageSize: 10
					},
					dataType: 'json',
					type: 'get',
					success: function(data) {
						// console.log(123);
					//	console.log(JSON.stringify(data))
						if(data['ErrorResponse'] != undefined) {
							mui.toast(data.ErrorResponse.ErrorMsg);
							return;
						}
						
						if(data.Result.List.length < HomeData.pageSiz) {
							HomeData.catPageisEnd = true;
						}
						if(re=='reset') {
						//  console.log('initProduct='+JSON.stringify(data));
							 
						var cattmp=	template('tempcatproducts', {
												    'products': data.Result.List,
												    controlId: 'tempcatproducts'
												});
							//  plus.nativeUI.alert('dataList='+cattmp);
							document.getElementById("productdataList").innerHTML =cattmp;
							
						} else {
							var cattmp=template('tempcatproducts', {
												    'products': data.Result.List,
												    controlId: 'tempcatproducts'
												});
							// plus.nativeUI.alert('dataList2='+cattmp);
							document.getElementById("productdataList").insertAdjacentHTML('beforeend', cattmp);
//							that.endPullupToRefresh(isEnd);
						}
						
						mui('#pullrefresh').pullRefresh().endPullupToRefresh(HomeData.catPageisEnd);
						
						if(HomeData.catPageIndex == 1) {
							if(data.Result.List.length > 0) {
								document.querySelector('.mui-pull-bottom-pocket').style.opacity = 1;
								document.querySelector('.mui-pull-bottom-pocket').style.paddingTop = '30px';
							 
							} else {
								document.querySelector('.mui-pull-bottom-pocket').style.opacity = 0;
								// document.getElementById("dataList").style.display = "none";
								// document.getElementById("orderNull").style.display = "block";
							}
						}
					},
					error: function(xhr, type, errorThrown) {
						plus.nativeUI.toast('请求失败，请检查网络')
					},
					complete:function(){
							plus.nativeUI.closeWaiting();
					}
				});
			} else {
				that.endPullupToRefresh(HomeData.catPageisEnd);
				plus.nativeUI.closeWaiting();
			}
		}
		
function InitCatTagUI()
{
		//plus.nativeUI.alert("HomeData.InitCatTagUI.categoryList="+JSON.stringify(HomeData.categoryList)); 
	if(HomeData.categoryList!=null&&HomeData.categoryList.length>0)
	{
		//console.log("InitNewTagUI=2");
	 var strtemp= template('tempcatproducts', {
					    'products': HomeData.categoryList,
					    controlId: 'tempcatproducts'
					});
				//console.log("InitNewTagUI="+strtemp);	 
				if(HomeData.catPageIndex==1)
				{
				 $(".category-List").html(strtemp);	
				}
				else
				{
				 $(".category-List").append(strtemp);
				}
					
	}
}
function loadNewTag()
{
	// plus.nativeUI.alert("HomeData.newTag="+HomeData.newTag); 
	if(HomeData.newTag>0)
	{
		mui.ajax(hishop.goUrl('GetProductsByTag'), {
		   // $.ajax(hishop.goUrl('getDefaultData'), {
		        dataType: 'json',
		        type: 'post',
				data:{storeId:0,TagId:HomeData.newTag},
		        timeout: 10000,
		        success: function (data) {
					var result = data;
					//plus.nativeUI.alert("loadNewTag="+JSON.stringify(result.Status));
					if(result.Status=="OK")
					{
						//plus.nativeUI.alert("loadNewTag=2"+JSON.stringify(result.Data));
						HomeData.newtagProudcts=result.Data;
						InitNewTagUI();
				    }
					},
					error: function (xhr, type, errorThrown) {
					    mui.toast("网络请求超时，请重新加载");
					},
				});
	}
}
function InitNewTagUI()
{
	//plus.nativeUI.alert("InitNewTagUI！");
//	console.log("InitNewTagUI=1"+JSON.stringify(HomeData.newtagProudcts));
	if(HomeData.newtagProudcts!=null)
	{
		//console.log("InitNewTagUI=2");
	 var strtemp= template('temp_newproduct_list', {
					    'products': HomeData.newtagProudcts,
					    controlId: 'temp_newproduct_list'
					});
				//	plus.nativeUI.alert("InitNewTagUI="+strtemp);
				//console.log("InitNewTagUI="+strtemp);	 
					 $(".newproduct-list").html(strtemp);
	}
}
function IniteSwiperControl(swipercontrol, swiperData) {
    if (swipercontrol.length > 0) {
        for (var x = 0; x < swipercontrol.length; x++) {
            var loop = swiperData[x].length > 1;
            var swiperId = '#swiper' + swipercontrol[x];
            var swiper = new Swiper(swiperId, {
                loop: loop,
                autoplay: 3000,
                pagination: swiperId + ' .swiper-pagination'
            });
        }
    }
}